/**
  *  \file client/scr-result.h
  */
#ifndef PCC_V2_CLIENT_SCR_RESULT_H
#define PCC_V2_CLIENT_SCR_RESULT_H

#include "game/sim-result.h"
#include "ui/ui.h"
#include "ui/window.h"
#include "ui/listbox.h"

class WSimClassResultList : public UIListbox {
    GSimResultSummary& result;
    GPlayerSet players;
    int desc_width;
    int column_width;
 public:
    WSimClassResultList(GPlayerSet players, GSimResultSummary& result);
    ~WSimClassResultList();

    void drawPart(GfxCanvas& can, int from, int to);
    void draw(GfxCanvas& can, UpdateInfo& ui);
    void setExtent(GfxRect newpos, bool by_layout);

    void updateFromResult();
};

class WSimResultWindow : public UIWindow {
    const GSimState&   sim_setup;
    const GSimOptions& sim_options;
    GSimBattleResult   last_result;
    GSimResultSummary  result_summary;

    ObjectHolder holder;

    WSimClassResultList class_result_list;
 public:
    WSimResultWindow(const GSimState& sim_setup, const GSimOptions& sim_options);
    ~WSimResultWindow();

    void runSimulation(bool series, int max);
    bool runFirstSimulation();
    bool handleEvent(const UIEvent& event, bool second_pass);
};

#endif
